Bug 90593 - IBM ThinkPad T40 Pentium-M Always Minimum MHz
IBM ThinkPad T40 Pentium-M Always Minimum MHz
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-09 20:51 EDT by ammulder
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-18 20:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ammulder 2003-05-09 20:51:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I just laid hands on a new IBM ThinkPad T40.  It is a Pentium-M model.  In the
BIOS, I set the power saving mode on the CPU to "automatic", which is supposed
to turn the MHz up when necessary and down when not.  In Windows, it lives at
~600 MHz normally, and if I start a compile, jumps to 1600 MHz immediately and
is extremely responsive, and returns to ~600 MHz when compile completes.  In Red
Hat Linux 9, it lives at 600MHz always, judging by /proc/cpuinfo.  If I start
the same compile, the mouse and keyboard become extremely unresponsive
(10-30secs between events), and /proc/cpuinfo still shows ~600MHz.

If I go into the BIOS and set the CPU power saving to "optimal performance", it
runs at 1600MHz always (again, judging by responsiveness and /proc/cpuinfo), but
the battery life is significantly shorter (30%+).

Version-Release number of selected component (if applicable):
kernel-2.4.20-9 apmd-3.0.2-18

How reproducible:

Steps to Reproduce:
1. In BIOS, set CPU power saving to "automatic"
2. Boot into Red Hat 9
3. Run a large compile

Actual Results:  mouse and keyboard are extremely unresponsive, /proc/cpuinfo
shows ~600 MHz

Expected Results:  UI responsive, /proc/cpuinfo shows ~1600MHz during compile,
returning to ~600 Mz afterward

Additional info:
Comment 1 Bill Nottingham 2003-05-18 20:26:39 EDT
Without information on Intel on the Pentium-M frequency scaling, this won't work
under Linux. Basically, it will be stuck at whatever speed it booted at (600Mhz
for battery, full speed for AC.)

Note You need to log in before you can comment on or make changes to this bug.